/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}
http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}Associates a physical device with a placement.
Path Parameters
The name of the project containing the placement in which to associate the device.
The name of the placement in which to associate the device.
The device template name to associate with the device ID.
Body Params
The ID of the physical device to be associated with the given placement in the project. Note that a mandatory 4 character prefix is required for all <code>deviceId</code> values.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}